Imports System.Collections.Generic
Imports CharterDotCom.CommonEntities.Library.Enumerations


Public Interface ISubCartItem
    ReadOnly Property ID() As String
    ReadOnly Property Name() As String
    ReadOnly Property Type() As ItemType
    ReadOnly Property Category() As Category
    ReadOnly Property FeatureType() As FeatureType
    ReadOnly Property Description() As String
    Property Price() As Decimal
    Property ListPrice() As Decimal
    ReadOnly Property InstallPrice() As Decimal
    ReadOnly Property InstallDescription() As String
    Property IsSelected() As Boolean
    ReadOnly Property IsVisisble() As Boolean
    ReadOnly Property IsAvailable() As Boolean
    ReadOnly Property IsRemovable() As Boolean
    ReadOnly Property IsPriceDisplayed() As Boolean
    ReadOnly Property Children() As Dictionary(Of String, ISubCartItem)
    ReadOnly Property SelectedChoices() As List(Of String)
    ReadOnly Property MaxChoiceSelection() As Integer
    ReadOnly Property MinChoiceSelection() As Integer
    ReadOnly Property MinSelection() As Integer
    ReadOnly Property MaxSelection() As Integer
    'ReadOnly Property PromotionDisclaimer() As String
    ReadOnly Property PriceFrequency() As BLPriceFrequency
    ReadOnly Property Quantity() As Integer
    ReadOnly Property Text() As String
    ReadOnly Property MaxLength() As Integer
    ReadOnly Property InputType() As InputType
End Interface